org.jfree.chart.needle

## Class WindNeedle

- java.lang.Object
- - org.jfree.chart.needle.MeterNeedle
  - - org.jfree.chart.needle.ArrowNeedle
    - - org.jfree.chart.needle.WindNeedle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class WindNeedle
    extends ArrowNeedle
    implements java.lang.Cloneable, java.io.Serializable

A needle that indicates wind direction, for use with the `CompassPlot` class.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jfree.chart.needle.MeterNeedle

`transform`

### Constructor Summary

Constructors
Constructor and Description
`WindNeedle()` Default constructor.

### Method Summary

Methods
`protected void` `drawNeedle(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Point2D rotate, double angle)` Draws the needle.
`boolean` `equals(java.lang.Object object)` Tests another object for equality with this object.
`int` `hashCode()` Returns a hash code for this instance.

### Methods inherited from class org.jfree.chart.needle.ArrowNeedle

`clone`

### Methods inherited from class org.jfree.chart.needle.MeterNeedle

`defaultDisplay, draw, draw, draw, getFillPaint, getHighlightPaint, getOutlinePaint, getOutlineStroke, getRotateX, getRotateY, getSize, getTransform, setFillPaint, setHighlightPaint, setOutlinePaint, setOutlineStroke, setRotateX, setRotateY, setSize`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindNeedle

    public WindNeedle()

Default constructor.

### Method Detail

#### drawNeedle

    protected void drawNeedle(java.awt.Graphics2D g2,
                  java.awt.geom.Rectangle2D plotArea,
                  java.awt.geom.Point2D rotate,
                  double angle)

Draws the needle.

Overrides:
  `drawNeedle` in class `ArrowNeedle`
Parameters:
  `g2` - the graphics device.
  `plotArea` - the plot area.
  `rotate` - the rotation point.
  `angle` - the angle.

#### equals

    public boolean equals(java.lang.Object object)

Tests another object for equality with this object.

Overrides:
  `equals` in class `ArrowNeedle`
Parameters:
  `object` - the object to test.
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `ArrowNeedle`
Returns:
  A hash code.